# Class ChartConfigUtil

java.lang.Object
net.sf.statcvs.charts.ChartConfigUtil

public final class ChartConfigUtil extends Object

Author:
  benoitx

## Method Summary

Modifier and Type
Method
Description
`static void`
`configureChartBackgroungImage(String chartName, org.jfree.chart.JFreeChart chart)`
Add a copyright notice on the bottom right part of the chart.
`static void`
`configureCopyrightNotice(String chartName, org.jfree.chart.JFreeChart chart)`
Add a copyright notice on the bottom right part of the chart.
`static void`
`configurePlotImage(String chartName, org.jfree.chart.JFreeChart chart)`
Add a copyright notice on the bottom right part of the chart.
`static void`
`configureShapes(String chartName, org.jfree.chart.renderer.xy.XYItemRenderer renderer)`
configure the shapes for the chart (if renderer is of type XYLineAndShapeRenderer) , tries properties:
`static void`
`configureStroke(String chartName, org.jfree.chart.renderer.xy.XYItemRenderer renderer, org.jfree.data.xy.XYDataset data)`
configure the lines for the chart, tries properties:
`static Color`
`getBackgroundColor(String chartName)`
returns the background color from the config file, tries properties:
`static Dimension`
`getDimension(String chartName, Dimension defaultDimension)`
returns the PLOT color from the config file, tries properties:
`static Color`
`getPlotColor(String chartName)`
returns the PLOT color from the config file, tries properties:

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getBackgroundColor

public static Color getBackgroundColor(String chartName)
returns the background color from the config file, tries properties:

    chart.<chartName>.backgroundColor
    chart.backgroundColor

Parameters:
  `chartName` -

### getPlotColor

public static Color getPlotColor(String chartName)
returns the PLOT color from the config file, tries properties:

    chart.<chartName>.plotColor
    chart.plotColor

Parameters:
  `chartName` -

### getDimension

public static Dimension getDimension(String chartName, Dimension defaultDimension)
returns the PLOT color from the config file, tries properties:

    chart.<chartName>.width
    chart.width
    chart.<chartName>.height
    chart.height

Parameters:
  `chartName` -

### configureStroke

public static void configureStroke(String chartName, org.jfree.chart.renderer.xy.XYItemRenderer renderer, org.jfree.data.xy.XYDataset data)
configure the lines for the chart, tries properties:

    chart.<chartName>.lineStroke
    chart.lineStroke

Parameters:
  `chartName` -

### configureShapes

public static void configureShapes(String chartName, org.jfree.chart.renderer.xy.XYItemRenderer renderer)
configure the shapes for the chart (if renderer is of type XYLineAndShapeRenderer) , tries properties:

    chart.<chartName>.showShapes
    chart.filledShapes

Parameters:
  `chartName` -

### configureChartBackgroungImage

public static void configureChartBackgroungImage(String chartName, org.jfree.chart.JFreeChart chart)
Add a copyright notice on the bottom right part of the chart.

    chart.<chartName>.chartBackgroundImage.url
    chart.chartBackgroundImage.url
    chart.<chartName>.chartBackgroundImage.transparency
    chart.chartBackgroundImage.transparency (0-1, defaulted to 0.35)

Parameters:
  `chartName` -
  `chart` -

### configurePlotImage

public static void configurePlotImage(String chartName, org.jfree.chart.JFreeChart chart)
Add a copyright notice on the bottom right part of the chart.

    chart.<chartName>.plotImage.url eg file:///C:/project/statcvs/site/images/statcvslogo.gif
    chart.plotImage.url
    chart.<chartName>.plotImage.transparency
    chart.plotImage.transparency (0-1, default to 0.35)

Parameters:
  `chartName` -
  `chart` -

### configureCopyrightNotice

public static void configureCopyrightNotice(String chartName, org.jfree.chart.JFreeChart chart)
Add a copyright notice on the bottom right part of the chart.

    chart.<chartName>.copyright
    chart.copyright

Parameters:
  `chartName` -
  `chart` -